Deployment (CMDB Model API)
Keywords: com.collation.platform.model.provision.runtime.Deployment interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.runtime
Interface Deployment

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface Deployment

extends ModelObject

Naming Rules:
  0="deploymentPlan"
Persistable:
  true
Table Name:
  DEPLMENT
Display Name:
  deploymentPlan

Field Summary
`static int` | `ACTIVE`
`static int` | `CLOSED`

Method Summary
`AuditEntry[]` | `getAuditLog()`
`ApplicationDeploymentPlan` | `getDeploymentPlan()`
`ParamMap` | `getParamMap()`
`int` | `getStatus()`
`WorkflowRuntime` | `getWorkflowRuntime()`
`boolean` | `hasAuditLog()`
`boolean` | `hasDeploymentPlan()`
`boolean` | `hasParamMap()`
`boolean` | `hasStatus()`
`boolean` | `hasWorkflowRuntime()`
`void` | `setAuditLog(AuditEntry[] aes)`
`void` | `setDeploymentPlan(ApplicationDeploymentPlan s)`
`void` | `setParamMap(ParamMap s)`
`void` | `setStatus(int s)`
`void` | `setWorkflowRuntime(WorkflowRuntime wfr)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### ACTIVE

    static final int ACTIVE

See Also:
  Constant Field Values

### CLOSED

    static final int CLOSED

See Also:
  Constant Field Values

Method Detail

### setDeploymentPlan

    void setDeploymentPlan(ApplicationDeploymentPlan s)

### getDeploymentPlan

    ApplicationDeploymentPlan getDeploymentPlan()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDeploymentPlan

    boolean hasDeploymentPlan()

### setWorkflowRuntime

    void setWorkflowRuntime(WorkflowRuntime wfr)

### setStatus

    void setStatus(int s)

### getStatus

    int getStatus()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasStatus

    boolean hasStatus()

### getWorkflowRuntime

    WorkflowRuntime getWorkflowRuntime()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasWorkflowRuntime

    boolean hasWorkflowRuntime()

### setParamMap

    void setParamMap(ParamMap s)

### getParamMap

    ParamMap getParamMap()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasParamMap

    boolean hasParamMap()

### setAuditLog

    void setAuditLog(AuditEntry[] aes)

### getAuditLog

    AuditEntry[] getAuditLog()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAuditLog

    boolean hasAuditLog()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD